> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# getIndividualPayrollHistory

> 
The `getIndividualPayrollHistory` API retrieves comprehensive payroll history details for a specific employee.

### What it does:

- Returns complete payroll history for a specific employee based on their Employee ID
- Provides detailed payroll line items including gross pay, net pay, taxes, and deductions for each pay period
- Includes year-to-date aggregates for gross, base, and net totals plus employer tax calculations



## OpenAPI

````yaml get /reports/getIndividualPayrollHistory
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /reports/getIndividualPayrollHistory:
    get:
      tags: []
      summary: getIndividualPayrollHistory
      description: >-

        The `getIndividualPayrollHistory` API retrieves comprehensive payroll
        history details for a specific employee.


        ### What it does:


        - Returns complete payroll history for a specific employee based on
        their Employee ID

        - Provides detailed payroll line items including gross pay, net pay,
        taxes, and deductions for each pay period

        - Includes year-to-date aggregates for gross, base, and net totals plus
        employer tax calculations
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                  title: getIndividualPayrollHistory
                  example: getIndividualPayrollHistory
                userId:
                  type: string
                  format: uuid
              required:
                - method
                - userId
            example:
              method: getIndividualPayrollHistory
              userId: 30da3ca7-8b39-4a3c-8ab9-050f17fbcb3b
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  user:
                    type: array
                    items:
                      type: object
                      properties:
                        userName:
                          type: string
                        payrollLineItems:
                          type: array
                          items:
                            type: object
                            properties:
                              payPeriod:
                                type: object
                                properties:
                                  payPeriodId:
                                    type: string
                                  payPeriod:
                                    type: string
                                  payEndDate:
                                    type: string
                                  payBeginDate:
                                    type: string
                                  payPeriodType:
                                    type: object
                                    properties:
                                      payPeriodType:
                                        type: string
                                    required:
                                      - payPeriodType
                                required:
                                  - payPeriodId
                                  - payPeriod
                                  - payEndDate
                                  - payBeginDate
                                  - payPeriodType
                              grossTotal:
                                type: number
                              netTotal:
                                type: number
                              payrollLineItemTaxAggregation:
                                type: object
                                properties:
                                  employerTax:
                                    type: number
                                required:
                                  - employerTax
                            required:
                              - payPeriod
                              - grossTotal
                              - netTotal
                              - payrollLineItemTaxAggregation
                        employeePayrollLineItemsAggregate:
                          type: object
                          properties:
                            aggregate:
                              type: object
                              properties:
                                sum:
                                  type: object
                                  properties:
                                    netTotal:
                                      type: number
                                    ytdGrossTotal:
                                      type: integer
                                    ytdBaseTotal:
                                      type: integer
                                    ytdNetTotal:
                                      type: integer
                                  required:
                                    - netTotal
                                    - ytdGrossTotal
                                    - ytdBaseTotal
                                    - ytdNetTotal
                              required:
                                - sum
                          required:
                            - aggregate
                        employerTaxCalculationResponsesAggregate:
                          type: object
                          properties:
                            aggregate:
                              type: object
                              properties:
                                sum:
                                  type: object
                                  properties:
                                    taxAmount:
                                      type: number
                                  required:
                                    - taxAmount
                              required:
                                - sum
                          required:
                            - aggregate
                required:
                  - user
              example:
                user:
                  - userName: Benjamin  Harris
                    payrollLineItems:
                      - payPeriod:
                          payPeriodId: D549C3D1-A9B1-4073-828B-0008743D8875
                          payPeriod: 11/01/2025 - 11/30/2025
                          payEndDate: '2025-11-30'
                          payBeginDate: '2025-11-01'
                          payPeriodType:
                            payPeriodType: Regular
                        grossTotal: 1952.2
                        netTotal: 1795.13
                        payrollLineItemTaxAggregation:
                          employerTax: 200.1
                      - payPeriod:
                          payPeriodId: 3C068DE4-038F-4874-B99B-4AFD7CB39351
                          payPeriod: 09/01/2025 - 09/30/2025
                          payEndDate: '2025-09-30'
                          payBeginDate: '2025-09-01'
                          payPeriodType:
                            payPeriodType: Regular
                        grossTotal: 2060.85
                        netTotal: 1795.13
                        payrollLineItemTaxAggregation:
                          employerTax: 238.42
                      - payPeriod:
                          payPeriodId: 43CCBBDF-8CF3-472E-874D-888E7911BB1F
                          payPeriod: 10/01/2025 - 10/31/2025
                          payEndDate: '2025-10-31'
                          payBeginDate: '2025-10-01'
                          payPeriodType:
                            payPeriodType: Regular
                        grossTotal: 2363.73
                        netTotal: 2142.86
                        payrollLineItemTaxAggregation:
                          employerTax: 248.72
                    employeePayrollLineItemsAggregate:
                      aggregate:
                        sum:
                          netTotal: 5733.12
                          ytdGrossTotal: 0
                          ytdBaseTotal: 0
                          ytdNetTotal: 0
                    employerTaxCalculationResponsesAggregate:
                      aggregate:
                        sum:
                          taxAmount: 448.82
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````